Package net.sf.saxon.functions

## Class ParseXml.RetentiveErrorHandler

- java.lang.Object
- - net.sf.saxon.functions.ParseXml.RetentiveErrorHandler

- All Implemented Interfaces:
    `org.xml.sax.ErrorHandler`
  Enclosing class:
    ParseXml

      public static class ParseXml.RetentiveErrorHandler
      extends java.lang.Object
      implements org.xml.sax.ErrorHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.util.List<org.xml.sax.SAXParseException>` | `errors` |
    `boolean` | `failed` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RetentiveErrorHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `captureRetainedErrors​(XPathException xe)` |
    `void` | `error​(org.xml.sax.SAXParseException exception)` |
    `void` | `fatalError​(org.xml.sax.SAXParseException exception)` |
    `void` | `warning​(org.xml.sax.SAXParseException exception)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### errors

          public java.util.List<org.xml.sax.SAXParseException> errors

    - #### failed

          public boolean failed

  - ### Constructor Detail

    - #### RetentiveErrorHandler

          public RetentiveErrorHandler()

  - ### Method Detail

    - #### error

          public void error​(org.xml.sax.SAXParseException exception)

      Specified by:
        `error` in interface `org.xml.sax.ErrorHandler`

    - #### warning

          public void warning​(org.xml.sax.SAXParseException exception)

      Specified by:
        `warning` in interface `org.xml.sax.ErrorHandler`

    - #### fatalError

          public void fatalError​(org.xml.sax.SAXParseException exception)

      Specified by:
        `fatalError` in interface `org.xml.sax.ErrorHandler`

    - #### captureRetainedErrors

          public void captureRetainedErrors​(XPathException xe)